GDBserver

Classes | Macros | Typedefs | Functions | Variables
lynx-ppc-low.c File Reference
`#include "server.h"`
`#include "lynx-low.h"`
`#include <limits.h>`
`#include <sys/ptrace.h>`

Go to the source code of this file.

## Classes
struct | usr_econtext_s
struct | usr_fcontext_s

## Macros
#define | R0_REGNUM 0
#define | F0_REGNUM 32
#define | PC_REGNUM 64
#define | MSR_REGNUM 65
#define | CR_REGNUM 66
#define | LR_REGNUM 67
#define | CTR_REGNUM 68
#define | XER_REGNUM 69
#define | FPSCR_REGNUM 70

## Typedefs
typedef struct usr_econtext_s | usr_econtext_t
typedef struct usr_fcontext_s | usr_fcontext_t

## Functions
void | init_registers_powerpc_32 (void)
static void | lynx_ppc_fill_gregset (struct regcache *regcache, char *buf)
static void | lynx_ppc_store_gregset (struct regcache *regcache, const char *buf)
static void | lynx_ppc_fill_fpregset (struct regcache *regcache, char *buf)
static void | lynx_ppc_store_fpregset (struct regcache *regcache, const char *buf)
static void | lynx_ppc_arch_setup (void)

## Variables
const struct target_desc * | tdesc_powerpc_32
struct lynx_regset_info | lynx_target_regsets []
struct lynx_target_ops | the_low_target

## Macro Definition Documentation

## ◆ CR_REGNUM

#define CR_REGNUM 66

Definition at line 61 of file lynx-ppc-low.c.

Referenced by lynx_ppc_fill_gregset(), and lynx_ppc_store_gregset().

## ◆ CTR_REGNUM

#define CTR_REGNUM 68

Definition at line 63 of file lynx-ppc-low.c.

Referenced by lynx_ppc_fill_gregset(), and lynx_ppc_store_gregset().

## ◆ F0_REGNUM

#define F0_REGNUM 32

Definition at line 58 of file lynx-ppc-low.c.

Referenced by lynx_ppc_fill_fpregset(), and lynx_ppc_store_fpregset().

## ◆ FPSCR_REGNUM

#define FPSCR_REGNUM 70

Definition at line 65 of file lynx-ppc-low.c.

Referenced by lynx_ppc_fill_fpregset(), and lynx_ppc_store_fpregset().

## ◆ LR_REGNUM

#define LR_REGNUM 67

Definition at line 62 of file lynx-ppc-low.c.

Referenced by lynx_ppc_fill_gregset(), and lynx_ppc_store_gregset().

## ◆ MSR_REGNUM

#define MSR_REGNUM 65

Definition at line 60 of file lynx-ppc-low.c.

Referenced by lynx_ppc_fill_gregset(), and lynx_ppc_store_gregset().

## ◆ PC_REGNUM

#define PC_REGNUM 64

Definition at line 59 of file lynx-ppc-low.c.

Referenced by lynx_ppc_fill_gregset(), and lynx_ppc_store_gregset().

## ◆ R0_REGNUM

#define R0_REGNUM 0

Definition at line 57 of file lynx-ppc-low.c.

Referenced by lynx_ppc_fill_gregset(), and lynx_ppc_store_gregset().

## ◆ XER_REGNUM

#define XER_REGNUM 69

Definition at line 64 of file lynx-ppc-low.c.

Referenced by lynx_ppc_fill_gregset(), and lynx_ppc_store_gregset().

## Typedef Documentation

## ◆ usr_econtext_t

typedef struct usr_econtext_s usr_econtext_t

## ◆ usr_fcontext_t

typedef struct usr_fcontext_s usr_fcontext_t

## Function Documentation

## ◆ init_registers_powerpc_32()

void init_registers_powerpc_32 | ( | void |  | ) |

Referenced by lynx_ppc_arch_setup().

## ◆ lynx_ppc_arch_setup()

static void lynx_ppc_arch_setup | ( | void |  | ) |
| static

Definition at line 162 of file lynx-ppc-low.c.

References init_registers_powerpc_32(), lynx_tdesc, and tdesc_powerpc_32.

## ◆ lynx_ppc_fill_fpregset()

static void lynx_ppc_fill_fpregset | ( | struct regcache * | regcache,
|  | char * | buf
| ) |  |
| static

Definition at line 128 of file lynx-ppc-low.c.

References collect_register(), F0_REGNUM, and FPSCR_REGNUM.

## ◆ lynx_ppc_fill_gregset()

static void lynx_ppc_fill_gregset | ( | struct regcache * | regcache,
|  | char * | buf
| ) |  |
| static

Definition at line 74 of file lynx-ppc-low.c.

References collect_register(), CR_REGNUM, CTR_REGNUM, LR_REGNUM, MSR_REGNUM, PC_REGNUM, R0_REGNUM, and XER_REGNUM.

## ◆ lynx_ppc_store_fpregset()

static void lynx_ppc_store_fpregset | ( | struct regcache * | regcache,
|  | const char * | buf
| ) |  |
| static

Definition at line 145 of file lynx-ppc-low.c.

References F0_REGNUM, FPSCR_REGNUM, and supply_register().

## ◆ lynx_ppc_store_gregset()

static void lynx_ppc_store_gregset | ( | struct regcache * | regcache,
|  | const char * | buf
| ) |  |
| static

Definition at line 101 of file lynx-ppc-low.c.

References CR_REGNUM, CTR_REGNUM, LR_REGNUM, MSR_REGNUM, PC_REGNUM, R0_REGNUM, supply_register(), and XER_REGNUM.

## Variable Documentation

## ◆ lynx_target_regsets

struct lynx_regset_info lynx_target_regsets[]

Initial value:
= {
{PTRACE_GETREGS, PTRACE_SETREGS, sizeof(usr_econtext_t),
lynx_ppc_fill_gregset, lynx_ppc_store_gregset},
{ PTRACE_GETFPREGS, PTRACE_SETFPREGS, sizeof(usr_fcontext_t),
lynx_ppc_fill_fpregset, lynx_ppc_store_fpregset },
{0, 0, -1, NULL, NULL }
}
lynx_ppc_fill_fpregset
static void lynx_ppc_fill_fpregset(struct regcache *regcache, char *buf)
Definition: lynx-ppc-low.c:128
lynx_ppc_fill_gregset
static void lynx_ppc_fill_gregset(struct regcache *regcache, char *buf)
Definition: lynx-ppc-low.c:74
lynx_ppc_store_gregset
static void lynx_ppc_store_gregset(struct regcache *regcache, const char *buf)
Definition: lynx-ppc-low.c:101
lynx_ppc_store_fpregset
static void lynx_ppc_store_fpregset(struct regcache *regcache, const char *buf)
Definition: lynx-ppc-low.c:145
usr_econtext_t
struct usr_econtext_s usr_econtext_t
usr_fcontext_t
struct usr_fcontext_s usr_fcontext_t

Definition at line 170 of file lynx-ppc-low.c.

## ◆ tdesc_powerpc_32

const struct target_desc* tdesc_powerpc_32

Referenced by lynx_ppc_arch_setup().

## ◆ the_low_target

struct lynx_target_ops the_low_target

Initial value:
= {
lynx_ppc_arch_setup,
}
lynx_ppc_arch_setup
static void lynx_ppc_arch_setup(void)
Definition: lynx-ppc-low.c:162

Definition at line 183 of file lynx-ppc-low.c.